Chiffre une modification d’envoi programmé sans l’appliquer : unités, écart de réservation, solde
curl --request POST \
--url https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"sender": "<string>",
"content": "<string>",
"scheduledAt": "<string>",
"timezone": "<string>",
"to": "<string>",
"groupIds": [
"<string>"
],
"fileId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender: '<string>',
content: '<string>',
scheduledAt: '<string>',
timezone: '<string>',
to: '<string>',
groupIds: ['<string>'],
fileId: '<string>'
})
};
fetch('https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate"
payload = {
"sender": "<string>",
"content": "<string>",
"scheduledAt": "<string>",
"timezone": "<string>",
"to": "<string>",
"groupIds": ["<string>"],
"fileId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sender' => '<string>',
'content' => '<string>',
'scheduledAt' => '<string>',
'timezone' => '<string>',
'to' => '<string>',
'groupIds' => [
'<string>'
],
'fileId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}SMS
Chiffre une modification d’envoi programmé sans l’appliquer
Chiffre une modification d’envoi programmé sans l’appliquer : unités, écart de réservation, solde
POST
/
api
/
v1
/
sms
/
messages
/
{messageId}
/
estimate
Chiffre une modification d’envoi programmé sans l’appliquer : unités, écart de réservation, solde
curl --request POST \
--url https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"sender": "<string>",
"content": "<string>",
"scheduledAt": "<string>",
"timezone": "<string>",
"to": "<string>",
"groupIds": [
"<string>"
],
"fileId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender: '<string>',
content: '<string>',
scheduledAt: '<string>',
timezone: '<string>',
to: '<string>',
groupIds: ['<string>'],
fileId: '<string>'
})
};
fetch('https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate"
payload = {
"sender": "<string>",
"content": "<string>",
"scheduledAt": "<string>",
"timezone": "<string>",
"to": "<string>",
"groupIds": ["<string>"],
"fileId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexnotify.com/api/v1/sms/messages/{messageId}/estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sender' => '<string>',
'content' => '<string>',
'scheduledAt' => '<string>',
'timezone' => '<string>',
'to' => '<string>',
'groupIds' => [
'<string>'
],
'fileId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Clé API du projet, créée dans le dashboard (Développeurs › Clés API et SDK). Une clé dxn_prod_ vise la production, une clé dxn_stag_ le staging.
Path Parameters
Body
application/json
Response
200
Chiffrage de la modification